API Reference
Organizations
Organizations API endpoints
GET /organizations
List organizations
Authentication: Bearer token required
Responses
200 — List of organizations
| Field | Type | Required | Description |
|---|---|---|---|
ok | boolean | Yes | |
data | array | Yes |
{
"ok": true,
"data": [
{
"id": "org_abc123",
"name": "NextFinancial Inc.",
"slug": "nextfinancial"
},
{
"id": "org_def456",
"name": "Kapitol PH",
"slug": "kapitol-ph"
}
]
}Example
curl \
-H "Authorization: Bearer YOUR_TOKEN" \
https://api.nextpay.world/v1/organizationsGET /organizations/{id}
Get organization details
Authentication: Bearer token required
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Yes | Organization ID |
Responses
200 — Organization details
| Field | Type | Required | Description |
|---|---|---|---|
ok | boolean | Yes | |
data | object | Yes |
{
"ok": true,
"data": {
"id": "org_abc123",
"name": "NextFinancial Inc.",
"slug": "nextfinancial"
}
}Example
curl \
-H "Authorization: Bearer YOUR_TOKEN" \
https://api.nextpay.world/v1/organizations/YOUR_ORG_IDGET /organizations/{id}/settings
Get organization settings
Authentication: Bearer token required
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Yes | Organization ID |
Responses
200 — Organization settings
| Field | Type | Required | Description |
|---|---|---|---|
ok | boolean | Yes | |
data | object | Yes |
{
"ok": true,
"data": {
"id": "org_abc123",
"name": "NextFinancial Inc.",
"slug": "nextfinancial"
}
}Example
curl \
-H "Authorization: Bearer YOUR_TOKEN" \
https://api.nextpay.world/v1/organizations/YOUR_ORG_ID/settingsPATCH /organizations/{id}/settings
Update organization settings
Authentication: Bearer token required
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
id | string | Yes | Organization ID |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
name | string | No | |
slug | string | No |
Example Request
{
"name": "NextFinancial Holdings"
}Responses
200 — Updated organization settings
| Field | Type | Required | Description |
|---|---|---|---|
ok | boolean | Yes | |
data | object | Yes |
{
"ok": true,
"data": {
"id": "org_abc123",
"name": "NextFinancial Holdings",
"slug": "nextfinancial"
}
}Example
curl -X PATCH \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"NextFinancial Holdings"}' \
https://api.nextpay.world/v1/organizations/YOUR_ORG_ID/settings